/******************************************************************/
/*	parameters.cxx  - defines methods of parameters class     */
/*	Name : Atul NAyak				          */
/******************************************************************/

#include "parameters.hxx"	// header file
#include "common.hxx"		// common includes
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
// constructor - sets the default values.
// manipulate the value by dividing by 20.0(no of frames)
// or using the update rate.
parameters::parameters()
{
	strcpy(shipFileName,"ship.txt");
	strcpy(asteroidFileName,"ast.txt");
	shipColorR = 0.0;
	shipColorG = 0.5;
	shipColorB = 1.0;
	asteroidColorR = 1.0;
	asteroidColorG = 0.0;
	asteroidColorB = 0.0;
	missileColorR = 1.0;
	missileColorG = 1.0;	
	missileColorB = 0.0;
	textColorR = 1.0;
	textColorG = 1.0;	
	textColorB = 1.0;
	asteroidSpeed = (40.0 * 5.0/1000.0);
	shipMaxSpeed = (80.0/20.0);
	shipTurnRate = (60.0/20.0);
	missileSpeed = (100.0 /20.0);
	numberOfAsteroids = 3;
}


// set user defined values if available.
void parameters::setShipFileName(char sName[])
{
	strcpy(shipFileName,sName);
}

void parameters::setAsteroidFileName(char aName[])
{
	strcpy(asteroidFileName,aName);
}

void parameters::setShipColor(float red, float green, float blue)
{
	shipColorR = red;
	shipColorG = green;	
	shipColorB = blue;
}

void parameters::setAsteroidColor(float red, float green, float blue)
{
	asteroidColorR = red;
	asteroidColorG = green;
	asteroidColorB = blue;
}

void parameters::setMissileColor(float red, float green, float blue)
{
	missileColorR = red;
	missileColorG = green;	
	missileColorB = blue;
}

void parameters::setTextColor(float red, float green, float blue)
{
	textColorR = red;
	textColorG = green;	
	textColorB = blue;
}

void parameters::setAsteroidSpeed(float speed)
{
	asteroidSpeed = speed/20;	
}
		
void parameters::setShipMaxSpeed(float speed)
{
	shipMaxSpeed = speed/20.0;
}	

void parameters::setShipTurnRate(float rate)
{
	shipTurnRate = rate/20.0;
}
	
void parameters::setMissileSpeed(float speed)
{
	missileSpeed = speed/20.0;
}

void parameters::setNumberOfAsteroids(int num)
{
	numberOfAsteroids = num;
}

//these methods simply return the values of the private members
// when called.
char* parameters::getShipFileName()
{
	return shipFileName;
}

char* parameters::getAsteroidFileName()
{
	return asteroidFileName;
}

float parameters::getShipColorR()
{
	return shipColorR;
}

float parameters::getShipColorG()
{
	return shipColorG;
}

float parameters::getShipColorB()
{
	return shipColorB;
}

float parameters::getAsteroidColorR()
{
	return asteroidColorR;
}

float parameters::getAsteroidColorG()
{
	return asteroidColorG;
}
	
float parameters::getAsteroidColorB()
{
	return asteroidColorB;
}

float parameters::getMissileColorR()
{
	return missileColorR;
}

float parameters::getMissileColorG()
{
	return missileColorG;
}

float parameters::getMissileColorB()
{
	return missileColorB;
}

float parameters::getTextColorR()
{
	return textColorR;
}

float parameters::getTextColorG()
{
	return textColorG;
}

float parameters::getTextColorB()
{
	return textColorB;
}

float parameters::getAsteroidSpeed()
{
	return asteroidSpeed;
}

float parameters::getShipMaxSpeed()
{
	return shipMaxSpeed;
}

float parameters::getShipTurnRate()
{
	return shipTurnRate;
}

float parameters::getMissileSpeed()
{
	return missileSpeed;
}

int   parameters::getNumberOfAsteroids()
{
	return numberOfAsteroids;
}

