/**********************************************************/
/*	parameters.hxx  - parameters class		  */
/*	Name : Atul NAyak				  */
/**********************************************************/

class parameters
{
	private :

		// this file contains all the ship's vertices.
		char shipFileName[20];
	
		// this file contains all the asteroid's vertices.		
		char asteroidFileName[20];

		// ship's R component.
		float shipColorR;

		// ship's G component.
		float shipColorG;

		// ship's B component.
		float shipColorB;

		// asteroid's R component.
		float asteroidColorR;

		// asteroid's G component.
		float asteroidColorG;

		// asteroid's B component.
		float asteroidColorB;

		// missile's R component.
		float missileColorR;

		// missile's G component.
		float missileColorG;

		// missile's B component.
		float missileColorB;

		// text's R component.
		float textColorR;

		// text's G component.
		float textColorG;

		// text's B component.
		float textColorB;

		// the asteroid speed.
		float asteroidSpeed;

		// the ship's maximum speed.	
		float shipMaxSpeed;

		// the ship's turn rate.	
		float shipTurnRate;

		// the missile speed.
		float missileSpeed;

		// number of asteroids.
		int numberOfAsteroids;

	public :
		
		// constructor assigns the default values.
		parameters();

		// set all the member variables with the user's 
		// arguments
		void setShipFileName(char* sName);
		void setAsteroidFileName(char* aName);
		void setShipColor(float red, float green, float blue);
		void setAsteroidColor(float red, float green, float blue);
		void setMissileColor(float red, float green, float blue);
		void setTextColor(float red, float green, float blue);
		void setAsteroidSpeed(float speed);
		void setShipMaxSpeed(float speed);
		void setShipTurnRate(float rate);
		void setMissileSpeed(float speed);
		void setNumberOfAsteroids(int num);

		// get the private member variables.
		char* getShipFileName();
		char* getAsteroidFileName();
		float getShipColorR();
		float getShipColorG();
		float getShipColorB();
		float getAsteroidColorR();
		float getAsteroidColorG();
		float getAsteroidColorB();
		float getMissileColorR();
		float getMissileColorG();
		float getMissileColorB();
		float getTextColorR();
		float getTextColorG();
		float getTextColorB();
		float getAsteroidSpeed();
		float getShipMaxSpeed();
		float getShipTurnRate();
		float getMissileSpeed();
		int   getNumberOfAsteroids();

};
